<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: qtmux</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-good Elements">
<link rel="prev" href="gst-plugins-good-plugins-qtdemux.html" title="qtdemux">
<link rel="next" href="gst-plugins-good-plugins-qtmoovrecover.html" title="qtmoovrecover">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-qtmux.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-qtmux.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-qtmux.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-qtmux.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-qtdemux.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-qtmoovrecover.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-qtmux"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-good-plugins-qtmux.top_of_page"></a>qtmux</span></h2>
<p>qtmux — Muxer for quicktime(.mov) files</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><span class="type">GstQTMuxDtsMethods</span></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--dts-method" title="The “dts-method” property">dts-method</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--faststart" title="The “faststart” property">faststart</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--faststart-file" title="The “faststart-file” property">faststart-file</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--fragment-duration" title="The “fragment-duration” property">fragment-duration</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--moov-recovery-file" title="The “moov-recovery-file” property">moov-recovery-file</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--movie-timescale" title="The “movie-timescale” property">movie-timescale</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--presentation-time" title="The “presentation-time” property">presentation-time</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--streamable" title="The “streamable” property">streamable</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--trak-timescale" title="The “trak-timescale” property">trak-timescale</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstQTMux"></a><div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux-struct" title="struct GstQTMux">GstQTMux</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> GstQTMux
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GstQTMux implements
 <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstTagSetter.html">GstTagSetter</a> and  GstTagXmpWriter.</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.description"></a><h2>Description</h2>
<p>This element merges streams (audio and video) into QuickTime(.mov) files.</p>
<p>The following background intends to explain why various similar muxers
are present in this plugin.</p>
<p>The <a class="ulink" href="http://www.apple.com/quicktime/resources/qtfileformat.pdf" target="_top">
QuickTime file format specification</a> served as basis for the MP4 file
format specification (mp4mux), and as such the QuickTime file structure is
nearly identical to the so-called ISO Base Media file format defined in
ISO 14496-12 (except for some media specific parts).
In turn, the latter ISO Base Media format was further specialized as a
Motion JPEG-2000 file format in ISO 15444-3 (mj2mux)
and in various 3GPP(2) specs (gppmux).
The fragmented file features defined (only) in ISO Base Media are used by
ISMV files making up (a.o.) Smooth Streaming (ismlmux).</p>
<p>A few properties (<a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--movie-timescale" title="The “movie-timescale” property"><span class="type">“movie-timescale”</span></a>, <a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--trak-timescale" title="The “trak-timescale” property"><span class="type">“trak-timescale”</span></a>) allow
adjusting some technical parameters, which might be useful in (rare) cases to
resolve compatibility issues in some situations.</p>
<p>Some other properties influence the result more fundamentally.
A typical mov/mp4 file's metadata (aka moov) is located at the end of the
file, somewhat contrary to this usually being called "the header".
However, a <a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--faststart" title="The “faststart” property"><span class="type">“faststart”</span></a> file will (with some effort) arrange this to
be located near start of the file, which then allows it e.g. to be played
while downloading. Alternatively, rather than having one chunk of metadata at
start (or end), there can be some metadata at start and most of the other
data can be spread out into fragments of <a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--fragment-duration" title="The “fragment-duration” property"><span class="type">“fragment-duration”</span></a>.
If such fragmented layout is intended for streaming purposes, then
<a class="link" href="gst-plugins-good-plugins-qtmux.html#GstQTMux--streamable" title="The “streamable” property"><span class="type">“streamable”</span></a> allows foregoing to add index metadata (at the end of
file).</p>
<div class="refsect2">
<a name="id-1.2.103.8.7"></a><h3>Example pipelines</h3>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1</pre></td>
        <td class="listing_code"><pre class="programlisting">gst<span class="gtkdoc opt">-</span>launch<span class="gtkdoc opt">-</span><span class="number">1.0</span> v4l2src num<span class="gtkdoc opt">-</span>buffers<span class="gtkdoc opt">=</span><span class="number">500</span> <span class="gtkdoc opt">!</span> video<span class="gtkdoc opt">/</span>x<span class="gtkdoc opt">-</span>raw<span class="gtkdoc opt">,</span>width<span class="gtkdoc opt">=</span><span class="number">320</span><span class="gtkdoc opt">,</span>height<span class="gtkdoc opt">=</span><span class="number">240</span> <span class="gtkdoc opt">!</span> videoconvert <span class="gtkdoc opt">!</span> qtmux <span class="gtkdoc opt">!</span> filesink location<span class="gtkdoc opt">=</span>video<span class="gtkdoc opt">.</span>mov</pre></td>
      </tr>
    </tbody>
  </table>
</div>

Records a video stream captured from a v4l2 device and muxes it into a qt file.
</div>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.103.8.8.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-good-plugins-plugin-isomp4.html#plugin-isomp4">isomp4</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Thiago Sousa Santos &lt;thiagoss@embedded.ufcg.edu.br&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Codec/Muxer</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.103.8.8.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>audio_%u</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>request</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>audio/x-raw, format=(string){ S8, U8 }, layout=(string)interleaved, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-raw, format=(string){ S16LE, S16BE }, layout=(string)interleaved, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-raw, format=(string){ S24LE, S24BE }, layout=(string)interleaved, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-raw, format=(string){ S32LE, S32BE }, layout=(string)interleaved, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/mpeg, mpegversion=(int)1, layer=(int)3, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/mpeg, mpegversion=(int)4, stream-format=(string)raw, channels=(int)[ 1, 8 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-adpcm, layout=(string)dvi, block_align=(int)[ 64, 8096 ], channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-alaw, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-mulaw, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/AMR, rate=(int)8000, channels=(int)[ 1, 2 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/AMR-WB, rate=(int)16000, channels=(int)[ 1, 2 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> audio/x-alac, channels=(int)[ 1, 2 ], rate=(int)[ 1, 2147483647 ]</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>subtitle_%u</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>request</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>text/x-raw, format=(string)utf8</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>video_%u</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>request</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/x-raw, format=(string){ RGB, UYVY }, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/mpeg, mpegversion=(int)4, systemstream=(boolean)false, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-divx, divxversion=(int)5, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-h263, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-h264, stream-format=(string)avc, alignment=(string)au, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-svq, svqversion=(int)3, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-dv, systemstream=(boolean)false, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> image/jpeg, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-vp8, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-dirac, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/x-qt-part, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ]</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/quicktime, variant=(string)apple</td>
</tr>
<tr>
<td><p><span class="term"></span></p></td>
<td> video/quicktime</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstQTMux-struct"></a><h3>struct GstQTMux</h3>
<pre class="programlisting">struct GstQTMux;</pre>
<div class="warning"><p><code class="literal">GstQTMux</code> is deprecated and should not be used in newly-written code.</p></div>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-qtmux.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstQTMux--dts-method"></a><h3>The <code class="literal">“dts-method”</code> property</h3>
<pre class="programlisting">  “dts-method”               <span class="type">GstQTMuxDtsMethods</span></pre>
<p>(DEPRECATED) Method to determine DTS time.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: reorder</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--faststart"></a><h3>The <code class="literal">“faststart”</code> property</h3>
<pre class="programlisting">  “faststart”                <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>If the file should be formatted for faststart (headers first).</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--faststart-file"></a><h3>The <code class="literal">“faststart-file”</code> property</h3>
<pre class="programlisting">  “faststart-file”           <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>File that will be used temporarily to store data from the stream when creating a faststart file. If null a filepath will be created automatically.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: NULL</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--fragment-duration"></a><h3>The <code class="literal">“fragment-duration”</code> property</h3>
<pre class="programlisting">  “fragment-duration”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Fragment durations in ms (produce a fragmented file if &gt; 0).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--moov-recovery-file"></a><h3>The <code class="literal">“moov-recovery-file”</code> property</h3>
<pre class="programlisting">  “moov-recovery-file”       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>File to be used to store data for moov atom making movie file recovery possible in case of a crash during muxing. Null for disabled. (Experimental).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: NULL</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--movie-timescale"></a><h3>The <code class="literal">“movie-timescale”</code> property</h3>
<pre class="programlisting">  “movie-timescale”          <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Timescale to use in the movie (units per second).</p>
<p>Flags: Read / Write / Construct</p>
<p>Allowed values: &gt;= 1</p>
<p>Default value: 1000</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--presentation-time"></a><h3>The <code class="literal">“presentation-time”</code> property</h3>
<pre class="programlisting">  “presentation-time”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Calculate and include presentation/composition time (in addition to decoding time).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: TRUE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--streamable"></a><h3>The <code class="literal">“streamable”</code> property</h3>
<pre class="programlisting">  “streamable”               <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>If set to true, the output should be as if it is to be streamed and hence no indexes written or duration written. (DEPRECATED, only valid for fragmented MP4).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: FALSE</p>
</div>
<hr>
<div class="refsect2">
<a name="GstQTMux--trak-timescale"></a><h3>The <code class="literal">“trak-timescale”</code> property</h3>
<pre class="programlisting">  “trak-timescale”           <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Timescale to use for the tracks (units per second, 0 is automatic).</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>